<Ui xmlns="http://www.blizzard.com/wow/ui/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.blizzard.com/wow/ui/
..\FrameXML\UI.xsd">

	<!-- Scripts -->
	<Script file="Options.lua"/>
	<Script file="FlightMapData.lua"/>
	<Script file="data.lua"/>
	<Script file="nodeinfo.lua" />			<!-- This is the file for handling the various flight node references -->
	<Script file="Timer.lua"/>
	<Script file="Map.lua"/>
	<Script file="KnownPaths.lua"/>
	<Script file="FlightMaster.lua"/>
	<Script file="reports.lua"/>
	<Script file="EnhancedFlightMap.lua"/>

	<!-- Template for the map points of interests -->
	<Button name="EFM_MAP_POI" inherits="WorldMapUnitTemplate" virtual="true">
		<Scripts>
			<OnLoad>
				this:SetFrameLevel(this:GetFrameLevel() + 1);
			</OnLoad>
			<OnEnter>
				EFM_MAP_POIOnEnter();
			</OnEnter>
			<OnLeave>
				EFM_MAP_POIOnLeave();
			</OnLeave>
		</Scripts>
	</Button>
	
	<!-- The scripts that run for the program -->
	<Frame name="EnhancedFlightMapFrame">
		<Scripts>
			<OnLoad>
				EnhancedFlightMap_OnLoad();
			</OnLoad>
			<OnEvent>
				EnhancedFlightMap_OnEvent();
			</OnEvent>
			<OnUpdate>
				EFM_Timer_EventFrame_OnUpdate();
			</OnUpdate>
		</Scripts>
	</Frame>

	<!-- Textures to display the flight map paths on the flight master map -->
	<Frame name="EnhancedFlightMapPathFrame" parent="TaxiFrame" hidden="false">
		<Layers>
			<Layer level="BACKGROUND">
				<Texture name="EnhancedFlightMapPath1" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath2" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath3" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath4" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath5" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath6" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath7" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath8" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath9" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath10" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath11" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath12" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath13" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath14" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath15" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" />
				<Texture name="EnhancedFlightMapPath16" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath17" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath18" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath19" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath20" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath21" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath22" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath23" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath24" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath25" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath26" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath27" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath28" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath29" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath30" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath31" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath32" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath33" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath34" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath35" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath36" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath37" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath38" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath39" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath40" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath41" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath42" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath43" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath44" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath45" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" />
				<Texture name="EnhancedFlightMapPath46" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath47" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath48" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath49" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath50" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath51" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath52" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath53" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath54" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath55" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" />
				<Texture name="EnhancedFlightMapPath56" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath57" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath58" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath59" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath60" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath61" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath62" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath63" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath64" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath65" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" />
				<Texture name="EnhancedFlightMapPath66" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath67" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath68" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath69" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath70" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath71" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath72" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath73" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath74" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath75" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" />
				<Texture name="EnhancedFlightMapPath76" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath77" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath78" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath79" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath80" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath81" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath82" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath83" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath84" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath85" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" />
				<Texture name="EnhancedFlightMapPath86" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath87" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath88" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath89" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath90" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath91" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath92" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath93" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath94" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath95" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" />
				<Texture name="EnhancedFlightMapPath96" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath97" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath98" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath99" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
				<Texture name="EnhancedFlightMapPath100" file="Interface\TaxiFrame\UI-Taxi-Line" hidden="true" /> 
			</Layer>
		</Layers>
	</Frame>

	<!-- The in flight timer frame -->
	<Frame name="EFM_TimerFrame" setAllPoints="true" hidden="false" parent="UIParent">
		<Layers>
			<Layer level="ARTWORK">
				<!-- Destination line -->
				<FontString name="$parent_Dest" inherits="GameFontNormal" justifyH="CENTER">
					<Size>
						<AbsDimension x="400" y="10"/>
					</Size>
					<Anchors>
						<Anchor point="CENTER">
							<Offset>
								<AbsDimension x="0" y="-150"/>
							</Offset>
						</Anchor>
					</Anchors>
				</FontString>
				<!-- Text-Only Timer -->
				<FontString name="$parent_CountDown" inherits="GameFontNormal" justifyH="CENTER">
					<Size>
						<AbsDimension x="400" y="12"/>
					</Size>
					<Anchors>
						<Anchor point="TOP" relativeTo="$parent_Dest">
							<Offset>
								<AbsDimension x="0" y="-14"/>
							</Offset>
						</Anchor>
					</Anchors>
				</FontString>
			</Layer>
		</Layers>
		<Frame name="EFM_BarFrame" inherits="CastingBarFrame">
			<Anchors>
				<Anchor point="TOP" relativeTo="$parent_Dest" relativePoint="BOTTOM">
					<Offset>
						<AbsDimension x="0" y="-30"/>
					</Offset>
				</Anchor>
			</Anchors>
		</Frame>
	</Frame>

	<!-- The poi buttons for flight master locations on the map screen -->
	<Frame name="EFM_MapFrame" hidden="false" parent="WorldMapButton" enableMouse="true">
		<Frames>
			<Button name="EFM_MAP_POI1" inherits="EFM_MAP_POI" id="1301" hidden="true"/>
			<Button name="EFM_MAP_POI2" inherits="EFM_MAP_POI" id="1302" hidden="true"/>
			<Button name="EFM_MAP_POI3" inherits="EFM_MAP_POI" id="1303" hidden="true"/>
			<Button name="EFM_MAP_POI4" inherits="EFM_MAP_POI" id="1304" hidden="true"/>
			<Button name="EFM_MAP_POI5" inherits="EFM_MAP_POI" id="1305" hidden="true"/>
			<Button name="EFM_MAP_POI6" inherits="EFM_MAP_POI" id="1306" hidden="true"/>
			<Button name="EFM_MAP_POI7" inherits="EFM_MAP_POI" id="1307" hidden="true"/>
			<Button name="EFM_MAP_POI8" inherits="EFM_MAP_POI" id="1308" hidden="true"/>
			<Button name="EFM_MAP_POI9" inherits="EFM_MAP_POI" id="1309" hidden="true"/>
			<Button name="EFM_MAP_POI10" inherits="EFM_MAP_POI" id="1310" hidden="true"/>
			<Button name="EFM_MAP_POI11" inherits="EFM_MAP_POI" id="1311" hidden="true"/>
			<Button name="EFM_MAP_POI12" inherits="EFM_MAP_POI" id="1312" hidden="true"/>
			<Button name="EFM_MAP_POI13" inherits="EFM_MAP_POI" id="1313" hidden="true"/>
			<Button name="EFM_MAP_POI14" inherits="EFM_MAP_POI" id="1314" hidden="true"/>
			<Button name="EFM_MAP_POI15" inherits="EFM_MAP_POI" id="1315" hidden="true"/>
			<Button name="EFM_MAP_POI16" inherits="EFM_MAP_POI" id="1316" hidden="true"/>
			<Button name="EFM_MAP_POI17" inherits="EFM_MAP_POI" id="1317" hidden="true"/>
			<Button name="EFM_MAP_POI18" inherits="EFM_MAP_POI" id="1318" hidden="true"/>
			<Button name="EFM_MAP_POI19" inherits="EFM_MAP_POI" id="1319" hidden="true"/>
			<Button name="EFM_MAP_POI20" inherits="EFM_MAP_POI" id="1320" hidden="true"/>
			<Button name="EFM_MAP_POI21" inherits="EFM_MAP_POI" id="1321" hidden="true"/>
			<Button name="EFM_MAP_POI22" inherits="EFM_MAP_POI" id="1322" hidden="true"/>
			<Button name="EFM_MAP_POI23" inherits="EFM_MAP_POI" id="1323" hidden="true"/>
			<Button name="EFM_MAP_POI24" inherits="EFM_MAP_POI" id="1324" hidden="true"/>
			<Button name="EFM_MAP_POI25" inherits="EFM_MAP_POI" id="1325" hidden="true"/>
			<Button name="EFM_MAP_POI26" inherits="EFM_MAP_POI" id="1326" hidden="true"/>
			<Button name="EFM_MAP_POI27" inherits="EFM_MAP_POI" id="1327" hidden="true"/>
			<Button name="EFM_MAP_POI28" inherits="EFM_MAP_POI" id="1328" hidden="true"/>
			<Button name="EFM_MAP_POI29" inherits="EFM_MAP_POI" id="1329" hidden="true"/>
			<Button name="EFM_MAP_POI30" inherits="EFM_MAP_POI" id="1330" hidden="true"/>
			<Button name="EFM_MAP_POI31" inherits="EFM_MAP_POI" id="1331" hidden="true"/>
			<Button name="EFM_MAP_POI32" inherits="EFM_MAP_POI" id="1332" hidden="true"/>
			<Button name="EFM_MAP_POI33" inherits="EFM_MAP_POI" id="1333" hidden="true"/>
			<Button name="EFM_MAP_POI34" inherits="EFM_MAP_POI" id="1334" hidden="true"/>
			<Button name="EFM_MAP_POI35" inherits="EFM_MAP_POI" id="1335" hidden="true"/>
			<Button name="EFM_MAP_POI36" inherits="EFM_MAP_POI" id="1336" hidden="true"/>
			<Button name="EFM_MAP_POI37" inherits="EFM_MAP_POI" id="1337" hidden="true"/>
			<Button name="EFM_MAP_POI38" inherits="EFM_MAP_POI" id="1338" hidden="true"/>
			<Button name="EFM_MAP_POI39" inherits="EFM_MAP_POI" id="1339" hidden="true"/>
			<Button name="EFM_MAP_POI40" inherits="EFM_MAP_POI" id="1340" hidden="true"/>
			<Button name="EFM_MAP_POI41" inherits="EFM_MAP_POI" id="1341" hidden="true"/>
			<Button name="EFM_MAP_POI42" inherits="EFM_MAP_POI" id="1342" hidden="true"/>
			<Button name="EFM_MAP_POI43" inherits="EFM_MAP_POI" id="1343" hidden="true"/>
			<Button name="EFM_MAP_POI44" inherits="EFM_MAP_POI" id="1344" hidden="true"/>
			<Button name="EFM_MAP_POI45" inherits="EFM_MAP_POI" id="1345" hidden="true"/>
			<Button name="EFM_MAP_POI46" inherits="EFM_MAP_POI" id="1346" hidden="true"/>
			<Button name="EFM_MAP_POI47" inherits="EFM_MAP_POI" id="1347" hidden="true"/>
			<Button name="EFM_MAP_POI48" inherits="EFM_MAP_POI" id="1348" hidden="true"/>
			<Button name="EFM_MAP_POI49" inherits="EFM_MAP_POI" id="1347" hidden="true"/>
			<Button name="EFM_MAP_POI50" inherits="EFM_MAP_POI" id="1348" hidden="true"/>
		</Frames>
	</Frame>

</Ui>
